# --------------------------------------------------------------------------
#
# FishStepTest.py                                    Ulrich Mueller 04.09.03
#                                                    PCS1700    Python 2.2.3
# FishStep Testrahmen
#
# ---------------------------------------------------------------------------

from FishFa30 import *
import sys
  
print "FishStepTest gestartet"
ft = FishStep(((1,680),(3,500),(4,100)))
M1,M2,M3 = 1,2,3

def StepTest():
  print "Home M1 : E1"
  ft.StepHome(M1)
  print "Home M3 : E5"
  ft.StepHome(M3)
  print "StepTo M1,34"
  ft.StepTo(ft.PosPrintX, M1, 34)
  print "zuruck um 12"
  ft.StepDelta(None, M1, -12)
  print "StepTo M3,66"
  ft.StepTo(None, M3, 66)
  ft.Pause(555)
  print "Weiter um 22"
  ft.StepDelta(None, M3, 22)

def PlotTest():
  print "Home M1 : E1,E5"
  ft.PlotHome(M1)
  print "Nach 40,60"
  ft.PlotTo(ft.PosPrintXY, M1, 222, 222)
  print "Zuruck nach 40,10"
  while not ft.Finish():
    ft.PlotDelta(None, M1, -200, -100)
    ft.PlotDelta(None, M1,  200,  100)
  
try:
  ft.OpenInterface("COM2")
  print "PollInterval : ",ft.PollInterval
except FishFaceException:
  print "FishStep FEHLER"
  ft.CloseInterface()
  sys.exit(0)
  
print "Es geht LOS"

StepTest()

print "FishStepTest wird beendet"
ft.CloseInterface()

